      SUBROUTINE CDSCAL                                                 GDH0897
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)                                GDH0897
      INCLUDE 'SIZES.i'                                                 GDH0897
      INCLUDE 'KEYS.i'                                                  GDH0897
      INCLUDE 'PARAMS.i'                                                GDH0897
C ---------------------------------------------------------------------+GDH0897
C     SUM THE CDS TERMS, INCLUDING THE SPECIAL TERMS                    GDH0897
C     CALCULATED IN SRFCAL AND STORED IN HB.                            GDH0897
C  ON INPUT                                                             GDH0897
C     SRFACI = SURFACE TENSIONS (INDEXED BY ATOM # IN Z-MATRIX)         GDH0897
C     ATAR = ATOMIC SASA'S                                              GDH0897
C     HB = H-BOND CORRECTIONS (MEANING DIFFERS BETWEEN MODELS)          GDH0897
C  ON OUTPUT                                                            GDH0897
C     SRFACT = CDS ENERGY ATOM BY ATOM                                  GDH0897
C     SURFCT = CDS TOTAL ENERGY                                         GDH0897
C                                                                       GDH0897
C     CREATED FROM EXISTING LINES IN BORNPL AND BRNPL2 BY DJG 0995      GDH0897
C     ANALYTICAL GRADIENT dCDS/dCARTESIAN FOR SM5.xx   BY  DL 0397      GDH0897
C ---------------------------------------------------------------------+GDH0897
      COMMON /MLKSTI/ NUMAT,NAT(NUMATM)                                 GDH0897
      COMMON /HBORDS/ HB(NUMATM)                                        GDH0897
      COMMON /RADCOM/ SRFACI(NUMATM)                                    GDH0897
      COMMON /SURF  / SURFCT,SRFACT(NUMATM),ATAR(NUMATM),               GDH0897
     1                HEXLGS,ATLGAR,CSAREA(100)                         GDH0897
      COMMON /TRADCM/ IRAD                                              GDH0897
C                                                                       GDH0897
C     COMPUTE SRFACT(NUMAT) AND SUM THEM IN SURFCT                      GDH0897
C                                                                       GDH0897
      SURFCT=0.D0                                                       GDH0897
         DO 20 IAT=1,NUMAT                                              GDH0897
         FACTOR=1D-3*SRFACI(IAT)                                        GDH0897
         SRFACT(IAT)=FACTOR*ATAR(IAT)+HB(IAT)                           GDH0897
         SURFCT=SURFCT+SRFACT(IAT)                                      GDH0897
   20    CONTINUE                                                       GDH0897
C                                                                       GDH0897
C     ADD THE LARGE RADIUS TERM TO SURFCT, THIS IS THE CDS ENERGY.      GDH0897
C                                                                       GDH0897
      IF (IRAD.EQ.21) THEN                                              GDH0897
         SURFCT=SURFCT+ATLGAR*HEXLGS                                    GDH0897
      ENDIF                                                             GDH0897
      END                                                               GDH0897
