      SUBROUTINE FINDKW(KEY,WORD,IND,ILENKW)                            GDH0897
C***********************************************************************GDH0897
C                                                                       GDH0897
C      THIS SUBROUTINE CREATED BY DJG 9/95 TO FIND IF VALID             GDH0897
C      KEYWORDS THAT HAVE ARGUMENTS WERE USED AND TO SET                GDH0897
C      THE KEYWORD FLAGS AND VARIABLES                                  GDH0897
C                                                                       GDH0897
C      WORD = KEYWORD STRING PARSED FROM KEYWORD LINE                   GDH0897
C      IND = CURRENT POSITION ON KEYWORD LINE                           GDH0897
C      NFLAG = 0 IF STRING NOT A KEYWORD, 1 IF IT IS                    GDH0897
C                                                                       GDH0897
C      KEYWORDS THAT BEGIN WITH A NUMBER ARE SEARCHED FOR IN TWO SPOTS  GDH0897
C      TO ALLOW FOR THE FACT THAT ON SOME MACHINES THE ASCII CODES      GDH0897
C      COME IN A DIFFERENT ORDER WHEN COMPARING LETTERS AND NUMBERS.    GDH0897
C      THEY ARE SEARCHED FOR AS LESS THAN A AND GREATER THAN Z          GDH0897
C                                                                       GDH0897
C      SHORT KEYWORDS THAT ARE IDENTICAL TO THE FIRST LETTERS OF A LONGEGDH0897
C      KEYWORD (I.E. XXX & XXXYZ) SHOULD BE SEARCHED FOR AFTER THE LONGEGDH0897
C      KEYWORD IF THEY ARE BOTH A VALUE OR NON-VALUE KEYWORD.           GDH0897
C                                                                       GDH0897
C      KEYWORD FLAGS ARE INTEGERS THAT BEGIN WITH 'I' AND ARE FOLLOWED  GDH0897
C      BY THE FIRST 5 LETTERS OF THE KEYWORD (OR FEWER IF THE KEYWORD   GDH0897
C      IS SMALLER).  EXCEPTIONS SHOULD BE LISTED IN THE INCLUDE FILE    GDH0897
C      'KEYS.i'                                                         GDH0897
C                                                                       GDH0897
C      KEYWORD VALUE VARIABLES BEGIN WITH 'F', 'I', OR 'C' TO INDICATE  GDH0897
C      WHETHER THE VALUE IS A FLOATING POINT, INTEGER OR CHARACTER.     GDH0897
C      THE NEXT FIVE CHARACTERS ARE THE FIRST FIVE CHARACTERS OF THE    GDH0897
C      KEYWORD FLAG (INCLUDING THE INITIAL CHARACTER 'I').  EXCEPTIONS  GDH0897
C      SHOULD BE LISTED IN THE INCLUDE FILE 'KEYS.i'                    GDH0897
C                                                                       GDH0897
C***********************************************************************GDH0897
                                                                        GDH0897
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)                                GDH0897
      INCLUDE 'KEYS.i'                                                  GDH0897
       INCLUDE 'FFILES.i'                                               GDH0897
C                                                                       GDH0897
      CHARACTER WORD*15, L1*1, L2*2, KEY*80, CH*1                       GDH0897
C                                                                       GDH0897
      K=ILENKW                                                          GDH0897
      L1=WORD(1:1)                                                      GDH0897
      L2=WORD(2:2)                                                      GDH0897
      NFLAG=0                                                           GDH0897
      IF (L1.LT.'N') THEN                                               GDH0897
         IF (L1.LT.'G') THEN                                            GDH0897
            IF (L1.LT.'D') THEN                                         GDH0897
               IF (L1.LT.'B') THEN                                      GDH0897
                  IF (L1.NE.'A') THEN                                   GDH0897
C ######                                                                GDH0897
                     NFLAG=0                                            GDH0897
                  ELSE                                                  GDH0897
C AAAAAA                                                                GDH0897
                     NFLAG=1                                            GDH0897
                     IF (WORD(1:K).EQ.'ALPHA') THEN                     GDH0897
                        IALPHA=1                                        GDH0897
                        FIALPH=READIF(KEY,IND)                          GDH0897
                     ELSE                                               GDH0897
                        NFLAG=0                                         GDH0897
                     ENDIF                                              GDH0897
                  ENDIF                                                 GDH0897
               ELSE                                                     GDH0897
                  IF (L1.EQ.'B') THEN                                   GDH0897
C BBBBBB                                                                GDH0897
                     NFLAG=1                                            GDH0897
                     IF (WORD(1:K).EQ.'BETA') THEN                      GDH0897
                        IBETA=1                                         GDH0897
                        FIBETA=READIF(KEY,IND)                          GDH0897
                     ELSE                                               GDH0897
                        NFLAG=0                                         GDH0897
                     ENDIF                                              GDH0897
                  ELSE                                                  GDH0897
C CCCCCCC                                                               GDH0897
                        NFLAG=0                                         GDH0897
                  ENDIF                                                 GDH0897
               ENDIF                                                    GDH0897
            ELSE IF (L1.EQ.'D') THEN                                    GDH0897
C DDDDDD                                                                GDH0897
               NFLAG=1                                                  GDH0897
               IF (WORD(1:K).EQ.'DIELEC') THEN                          GDH0897
                  IDIELE=1                                              GDH0897
                  FIDIEL=READIF(KEY,IND)                                GDH0897
               ELSE                                                     GDH0897
                  NFLAG=0                                               GDH0897
               ENDIF                                                    GDH0897
            ELSE                                                        GDH0897
               IF (L1.EQ.'E') THEN                                      GDH0897
C EEEEEE                                                                GDH0897
                     NFLAG=0                                            GDH0897
               ELSE                                                     GDH0897
C FFFFFF                                                                GDH0897
                  NFLAG=1                                               GDH0897
                  IF (WORD(1:K).EQ.'FACARB') THEN                       GDH0897
                     IFACAR=1                                           GDH0897
                     FFACAR=READIF(KEY,IND)                             GDH0897
                  ELSE IF (WORD(1:K).EQ.'FEHALO') THEN                  GDH0897
                     IFEHAL=1                                           GDH0897
                     FFEHAL=READIF(KEY,IND)                             GDH0897
                  ELSE                                                  GDH0897
                     NFLAG=0                                            GDH0897
                  ENDIF                                                 GDH0897
               ENDIF                                                    GDH0897
            ENDIF                                                       GDH0897
         ELSE                                                           GDH0897
            IF (L1.LT.'K') THEN                                         GDH0897
               IF (L1.LT.'I') THEN                                      GDH0897
                  IF (L1.EQ.'G') THEN                                   GDH0897
C GGGGGG                                                                GDH0897
                     NFLAG=1                                            GDH0897
                     IF (WORD(1:K).EQ.'GAMMA') THEN                     GDH0897
                        IGAMMA=1                                        GDH0897
                        FIGAMM=READIF(KEY,IND)                          GDH0897
                     ELSE                                               GDH0897
                        NFLAG=0                                         GDH0897
                     ENDIF                                              GDH0897
                  ELSE                                                  GDH0897
C HHHHHH                                                                GDH0897
                        NFLAG=0                                         GDH0897
                  ENDIF                                                 GDH0897
               ELSE                                                     GDH0897
                  IF (L1.EQ.'I') THEN                                   GDH0897
C IIIIII                                                                GDH0897
                     NFLAG=1                                            GDH0897
                     IF (WORD(1:K).EQ.'IOFR') THEN                      GDH0897
                        IIOFR=1                                         GDH0897
                        FIIOFR=READIF(KEY,IND)                          GDH0897
                     ELSE                                               GDH0897
                        NFLAG=0                                         GDH0897
                     ENDIF                                              GDH0897
                  ELSE                                                  GDH0897
C JJJJJJ                                                                GDH0897
                     NFLAG=0                                            GDH0897
                  ENDIF                                                 GDH0897
               ENDIF                                                    GDH0897
            ELSE IF (L1.EQ.'K') THEN                                    GDH0897
C KKKKKK                                                                GDH0897
                     NFLAG=0                                            GDH0897
            ELSE                                                        GDH0897
               IF (L1.EQ.'L') THEN                                      GDH0897
C LLLLLL                                                                GDH0897
                  NFLAG=0                                               GDH0897
               ELSE                                                     GDH0897
C MMMMMM                                                                GDH0897
                     NFLAG=0                                            GDH0897
               ENDIF                                                    GDH0897
            ENDIF                                                       GDH0897
         ENDIF                                                          GDH0897
      ELSE                                                              GDH0897
         IF (L1.LT.'T') THEN                                            GDH0897
            IF (L1.LT.'Q') THEN                                         GDH0897
               IF (L1.EQ.'N') THEN                                      GDH0897
C NNNNNN                                                                GDH0897
                     NFLAG=0                                            GDH0897
               ELSE IF (L1.EQ.'O') THEN                                 GDH0897
C OOOOOO                                                                GDH0897
                     NFLAG=0                                            GDH0897
               ELSE                                                     GDH0897
C PPPPPP                                                                GDH0897
                     NFLAG=0                                            GDH0897
               ENDIF                                                    GDH0897
            ELSE                                                        GDH0897
               IF (L1.EQ.'Q') THEN                                      GDH0897
C QQQQQQ                                                                GDH0897
                  NFLAG=0                                               GDH0897
               ELSE IF (L1.EQ.'R') THEN                                 GDH0897
C RRRRRR                                                                GDH0897
                     NFLAG=0                                            GDH0897
               ELSE                                                     GDH0897
C SSSSSS                                                                GDH0897
                  NFLAG=1                                               GDH0897
                  IF (WORD(1:K).EQ.'SOLVNT') THEN                       GDH0897
                     ISOLVN=1                                           GDH0897
                     IND2=IND+1                                         GDH0897
                     CALL READCH(KEY,IND2,CISOLV)                       GDH0897
                  ELSE                                                  GDH0897
                     NFLAG=0                                            GDH0897
                  ENDIF                                                 GDH0897
               ENDIF                                                    GDH0897
            ENDIF                                                       GDH0897
         ELSE                                                           GDH0897
            IF (L1.LT.'W') THEN                                         GDH0897
               IF (L1.EQ.'T') THEN                                      GDH0897
C TTTTTT                                                                GDH0897
                     NFLAG=0                                            GDH0897
               ELSE IF (L1.EQ.'U') THEN                                 GDH0897
C UUUUUU                                                                GDH0897
                  NFLAG=0                                               GDH0897
               ELSE                                                     GDH0897
C VVVVVV                                                                GDH0897
                  NFLAG=0                                               GDH0897
               ENDIF                                                    GDH0897
            ELSE                                                        GDH0897
               IF (L1.LT.'Y') THEN                                      GDH0897
                  IF (L1.EQ.'W') THEN                                   GDH0897
C WWWWWW                                                                GDH0897
                     NFLAG=0                                            GDH0897
                  ELSE                                                  GDH0897
C XXXXXX                                                                GDH0897
                        NFLAG=0                                         GDH0897
                  ENDIF                                                 GDH0897
               ELSE                                                     GDH0897
                  IF (L1.EQ.'Y') THEN                                   GDH0897
C YYYYYY                                                                GDH0897
                     NFLAG=0                                            GDH0897
                  ELSE IF (L1.EQ.'Z') THEN                              GDH0897
C ZZZZZZ                                                                GDH0897
                     NFLAG=0                                            GDH0897
                  ELSE                                                  GDH0897
C ######                                                                GDH0897
                     NFLAG=0                                            GDH0897
                  ENDIF                                                 GDH0897
               ENDIF                                                    GDH0897
            ENDIF                                                       GDH0897
         ENDIF                                                          GDH0897
      ENDIF                                                             GDH0897
      IF (NFLAG.EQ.0) THEN                                              GDH0897
         WRITE(JOUT,9000) WORD                                          GDH0897
            ISTOP=1                                                     GDH0897
            IWHERE=50                                                   GDH0897
            RETURN                                                      GDH0897
      ENDIF                                                             GDH0897
9000   FORMAT(/,1X,'THERE IS AN UNRECOGNIZED STRING IN THE KEYWORD '    GDH0897
     1       ,'SECTION ---> ',A15)                                      GDH0897
      RETURN                                                            GDH0897
      END                                                               GDH0897
