      SUBROUTINE GEOUT                                                  GDH0897
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)                               GDH0897
       INCLUDE 'SIZES.i'                                                GDH0897
       INCLUDE 'FFILES.i'                                               GDH0897
**********************************************************************  GDH0897
*                                                                       GDH0897
*   GEOUT PRINTS THE CURRENT GEOMETRY.  IT CAN BE CALLED ANY TIME,      GDH0897
*         FROM ANY POINT IN THE PROGRAM AND DOES NOT AFFECT ANYTHING.   GDH0897
*                                                                       GDH0897
**********************************************************************  GDH0897
      COMMON /GEOM  / GEO(3,NUMATM)                                     GDH0897
      COMMON /GEOKST/ NATOMS,LABELS(NUMATM),                            GDH0897
     1NA(NUMATM),NB(NUMATM),NC(NUMATM)                                  GDH0897
      COMMON /GEOVAR/ XPARAM(MAXPAR),NVAR,LOC(2,MAXPAR),IDUMY           GDH0897
      COMMON /REPATH/ REACT(100),LATOM,LPARAM                           GDH0897
      COMMON /ELEMTS/ ELEMNT(107)                                       GDH0897
      DIMENSION COORD(3,NUMATM)                                         GDH0897
      CHARACTER Q(3)*1, ELEMNT*2                                        GDH0897
      LOGICAL CART                                                      GDH0897
       SAVE                                                             GDH0897
C                                                                       GDH0897
C *** OUTPUT THE PARAMETER DATA.                                        GDH0897
C                                                                       GDH0897
      CART=.FALSE.                                                      GDH0897
      IF(NA(1).NE.0) THEN                                               GDH0897
         CART=.TRUE.                                                    GDH0897
         NA(1)=99                                                       GDH0897
      ELSE                                                              GDH0897
         DO 10 I=1,NATOMS                                               GDH0897
            DO 10 J=1,3                                                 GDH0897
   10    COORD(J,I)=GEO(J,I)                                            GDH0897
      ENDIF                                                             GDH0897
      DEGREE=57.29577951D00                                             GDH0897
C                                                                       GDH0897
      IREAL = 0                                                         GDH0897
C                                                                       GDH0897
      WRITE (JOUT,20)                                                   GDH0897
   20 FORMAT(/,3X,'Atom',3X,'NO.',1X,'Chemical',2X,'Bond length',4X,    GDH0897
     1       'Bond angle',4X,'Dihedral angle',/,2X,'number',7X,         GDH0897
     2       'symbol',3X,'(Angstroms)',5X,'(degrees)',6X,'(degrees)',   GDH0897
     3       /,3X,'(I)',21X,'NA:I',9X,'NB:NA:I',8X,'NC:NB:NA:I',4X,     GDH0897
     4       'NA',2X,'NB',2X,'NC')                                      GDH0897
      N=1                                                               GDH0897
      IF (LABELS(1) .EQ. 99 .OR.                                        GDH0897
     1   (LABELS(1) .LE. 106 .AND. LABELS(1) .GE. 103)) THEN            GDH0897
          WRITE (JOUT,30) ELEMNT(LABELS(1))                             GDH0897
      ELSE                                                              GDH0897
          IREAL = IREAL + 1                                             GDH0897
          WRITE (JOUT,31)IREAL,ELEMNT(LABELS(1))                        GDH0897
      ENDIF                                                             GDH0897
   30 FORMAT (4X,'1',10X,A2)                                            GDH0897
   31 FORMAT (4X,'1',5X,I3,2X,A2)                                       GDH0897
      IA=LOC(1,1)                                                       GDH0897
      Q(1)=' '                                                          GDH0897
      IF (LATOM.EQ.2) Q(1)='+'                                          GDH0897
      IF (LOC(1,1).NE.2) GO TO 40                                       GDH0897
      Q(1)='*'                                                          GDH0897
      N=N+1                                                             GDH0897
      IA=LOC(1,N)                                                       GDH0897
   40 CONTINUE                                                          GDH0897
      IF (LABELS(2) .EQ. 99 .OR.                                        GDH0897
     1   (LABELS(2) .LE. 106 .AND. LABELS(2) .GE. 103)) THEN            GDH0897
         WRITE (JOUT,50) ELEMNT(LABELS(2)),COORD(1,2),Q(1),NA(2)        GDH0897
      ELSEIF (LABELS(2) .NE. 0) THEN                                    GDH0897
         IREAL = IREAL + 1                                              GDH0897
         WRITE(JOUT,51)IREAL,ELEMNT(LABELS(2)), COORD(1,2), Q(1), NA(2) GDH0897
      ENDIF                                                             GDH0897
   50 FORMAT (4X,'2',10X,A2,2X,F16.5,1X,A1,32X,I2)                      GDH0897
   51 FORMAT (4X,'2',5X,I3,2X,A2,2X,F16.5,1X,A1,32X,I2)                 GDH0897
      DO 60 J=1,2                                                       GDH0897
         Q(J)=' '                                                       GDH0897
         IF (IA.NE.3) GO TO 60                                          GDH0897
         IF (LOC(2,N).NE.J) GO TO 60                                    GDH0897
         Q(J)='*'                                                       GDH0897
         N=N+1                                                          GDH0897
         IA=LOC(1,N)                                                    GDH0897
   60 CONTINUE                                                          GDH0897
      W = COORD(2,3) * DEGREE                                           GDH0897
      IF (LATOM.NE.3) GO TO 70                                          GDH0897
      J=LPARAM                                                          GDH0897
      Q(J)='+ '                                                         GDH0897
   70 CONTINUE                                                          GDH0897
      IF (LABELS(3) .EQ. 99 .OR.                                        GDH0897
     1   (LABELS(3) .LE. 106 .AND. LABELS(3) .GE. 103)) THEN            GDH0897
         WRITE (JOUT,80) ELEMNT(LABELS(3)),COORD(1,3),Q(1),             GDH0897
     1                W,Q(2),NA(3),NB(3)                                GDH0897
      ELSEIF (LABELS(3) .NE. 0) THEN                                    GDH0897
              IREAL = IREAL + 1                                         GDH0897
              WRITE (JOUT,81) IREAL,ELEMNT(LABELS(3)),COORD(1,3),Q(1),  GDH0897
     1                     W,Q(2),NA(3),NB(3)                           GDH0897
      ENDIF                                                             GDH0897
   80 FORMAT (4X,'3',10X,A2,2X,F16.5,1X,A1,2X,F10.5,1X,A1,18X,2(I2,2X)) GDH0897
   81 FORMAT (4X,'3',5X,I3,2X,A2,2X,F16.5,1X,A1,2X,F10.5,1X,A1,18X,     GDH0897
     1        2(I2,2X))                                                 GDH0897
      IF (NATOMS.LT.4) RETURN                                           GDH0897
      DO 120 I=4,NATOMS                                                 GDH0897
         DO 90 J=1,3                                                    GDH0897
            Q(J)=' '                                                    GDH0897
            IF (IA.NE.I) GO TO 90                                       GDH0897
            IF (J.NE.LOC(2,N)) GO TO 90                                 GDH0897
            Q(J)='*'                                                    GDH0897
            N=N+1                                                       GDH0897
            IA=LOC(1,N)                                                 GDH0897
   90    CONTINUE                                                       GDH0897
         W = COORD(2,I) * DEGREE                                        GDH0897
         X = COORD(3,I) * DEGREE                                        GDH0897
         IF (LATOM.NE.I) GO TO 100                                      GDH0897
         J=LPARAM                                                       GDH0897
         Q(J)='+ '                                                      GDH0897
100   IF (LABELS(I) .EQ. 99 .OR.                                        GDH0897
     1   (LABELS(I) .LE. 106 .AND. LABELS(I) .GE. 103)) THEN            GDH0897
            WRITE(JOUT,110)I,ELEMNT(LABELS(I)),COORD(1,I),Q(1),W,Q(2),  GDH0897
     1                     X,Q(3),NA(I),NB(I),NC(I)                     GDH0897
         ELSE                                                           GDH0897
             IREAL = IREAL + 1                                          GDH0897
            WRITE(JOUT,111)I,IREAL,ELEMNT(LABELS(I)),COORD(1,I),Q(1),W, GDH0897
     1                     Q(2),X,Q(3),NA(I),NB(I),NC(I)                GDH0897
         ENDIF                                                          GDH0897
  110 FORMAT(2X,I3,10X,A2,2X,F16.5,1X,A1,2X,F10.5,1X,A1,2X,F10.5,1X,A1, GDH0897
     1       2X,3I4)                                                    GDH0897
  111 FORMAT(2X,I3,5X,I3,2X,A2,2X,F16.5,1X,A1,2X,F10.5,1X,A1,2X,F10.5,  GDH0897
     1       1X,A1,2X,3I4)                                              GDH0897
  120 CONTINUE                                                          GDH0897
      RETURN                                                            GDH0897
      END                                                               GDH0897
