      SUBROUTINE GETGEO(IREAD)                                          GDH0897
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)                               GDH0897
       INCLUDE 'SIZES.i'                                                GDH0897
       INCLUDE 'KEYS.i'                                                 GDH0897
       INCLUDE 'FFILES.i'                                               GDH0897
************************************************************************GDH0897
*                                                                       GDH0897
*   GETGEO READS IN THE GEOMETRY. THE ELEMENT IS SPECIFIED BY IT'S      GDH0897
*          CHEMICAL SYMBOL, OR, OPTIONALLY, BY IT'S ATOMIC NUMBER.      GDH0897
*                                                                       GDH0897
*  ON INPUT   IREAD  = CHANNEL NUMBER FOR READ                          GDH0897
*                                                                       GDH0897
* ON OUTPUT LABELS = ATOMIC NUMBERS OF ALL ATOMS, INCLUDING DUMMIES.    GDH0897
*           GEO    = INTERNAL COORDINATES, IN ANGSTROMS, AND DEGREES.   GDH0897
*           NA     = INTEGER ARRAY OF ATOMS (SEE DATA INPUT)            GDH0897
*           NB     = INTEGER ARRAY OF ATOMS (SEE DATA INPUT)            GDH0897
*           NC     = INTEGER ARRAY OF ATOMS (SEE DATA INPUT)            GDH0897
************************************************************************GDH0897
      COMMON /GEOKST/ NATOMS,LABELS(NUMATM)                             GDH0897
     .               ,NA(NUMATM),NB(NUMATM),NC(NUMATM)                  GDH0897
      COMMON /MLKSTI/ NUMAT,NAT(NUMATM)                                 GDH0897
      COMMON /GEOM  / GEO(3,NUMATM)                                     GDH0897
      COMMON /ELEMTS/ ELEMNT(107)                                       GDH0897
      DIMENSION ISTART(40)                                              GDH0897
      DIMENSION COORD(3,NUMATM)                                         GDH0897
      LOGICAL LEADSP                                                    GDH0897
      CHARACTER ELEMNT*2, LINE*80, SPACE*1, NINE*1, ZERO*1              GDH0897
     1         ,COMMA*1, STRING*80, ELE*2                               GDH0897
      CHARACTER ELE2(107)*2                                             GDH0897
       SAVE                                                             GDH0897
      DATA (ELE2(I),I=1,107)/'H','HE',                                  GDH0897
     1 'LI','BE','B','C','N','O','F','NE',                              GDH0897
     2 'NA','MG','AL','SI','P','S','CL','AR',                           GDH0897
     3 'K','CA','SC','TI','V','CR','MN','FE','CO','NI','CU',            GDH0897
     4 'ZN','GA','GE','AS','SE','BR','KR',                              GDH0897
     5 'RB','SR','Y','ZR','NB','MO','TC','RU','RH','PD','AG',           GDH0897
     6 'CD','IN','SN','SB','TE','I','XE',                               GDH0897
     7 'CS','BA','LA','CE','PR','ND','PM','SM','EU','GD','TB','DY',     GDH0897
     8 'HO','ER','TM','YB','LU','HF','TA','W','RE','OS','IR','PT',      GDH0897
     9 'AU','HG','TL','PB','BI','PO','AT','RN',                         GDH0897
     1 'FR','RA','AC','TH','PA','U','NP','PU','AM','CM','BK','CF','XX', GDH0897
     2 'FM','MD','NO','++','+','--','-','TV'/                           GDH0897
      DATA COMMA,SPACE,NINE,ZERO/',',' ','9','0'/                       GDH0897
      NATOMS=0                                                          GDH0897
      NUMAT=0                                                           GDH0897
      IHEV=0                                                            GDH0897
      ILIT=0                                                            GDH0897
      DO 22 I=1,107                                                     GDH0897
   22 ELEMNT(I)=ELE2(I)                                                 GDH0897
   10 READ(IREAD,'(A)',END=90,ERR=110)LINE                              GDH0897
      IF(LINE.EQ.' ') GO TO 90                                          GDH0897
      NATOMS=NATOMS+1                                                   GDH0897
*   CLEAN THE INPUT DATA                                                GDH0897
      CALL CAPCNV(LINE,NUMUD,80)                                        GDH0897
      DO 30 I=1,80                                                      GDH0897
   30 IF(LINE(I:I).LT.SPACE .OR.                                        GDH0897
     1       LINE(I:I).EQ.COMMA) LINE(I:I)=SPACE                        GDH0897
*                                                                       GDH0897
*   INITIALIZE ISTART TO INTERPRET BLANKS AS ZERO'S                     GDH0897
      DO 40 I=1,10                                                      GDH0897
   40 ISTART(I)=80                                                      GDH0897
* FIND INITIAL DIGIT OF ALL NUMBERS, CHECK FOR LEADING SPACES FOLLOWED  GDH0897
*     BY A CHARACTER AND STORE IN ISTART                                GDH0897
      LEADSP=.TRUE.                                                     GDH0897
      NVALUE=0                                                          GDH0897
      DO 50 I=1,80                                                      GDH0897
         IF (LEADSP.AND.LINE(I:I).NE.SPACE) THEN                        GDH0897
            NVALUE=NVALUE+1                                             GDH0897
            ISTART(NVALUE)=I                                            GDH0897
         END IF                                                         GDH0897
         LEADSP=(LINE(I:I).EQ.SPACE)                                    GDH0897
   50 CONTINUE                                                          GDH0897
*                                                                       GDH0897
* ESTABLISH THE ELEMENT'S NAME AND ISOTOPE, CHECK FOR ERRORS OR E.O.DATAGDH0897
*                                                                       GDH0897
      WEIGHT=0.D0                                                       GDH0897
      STRING=LINE(ISTART(1):ISTART(2)-1)                                GDH0897
      IF( STRING(1:1) .GE. ZERO .AND. STRING(1:1) .LE. NINE) THEN       GDH0897
*  ATOMIC NUMBER USED: NO ISOTOPE ALLOWED                               GDH0897
         LABEL=READIF(STRING,1)                                         GDH0897
         IF (LABEL.EQ.0) GO TO 80                                       GDH0897
         IF (LABEL.LT.0.OR.LABEL.GT.107) THEN                           GDH0897
            WRITE(JOUT,'(''  ILLEGAL ATOMIC NUMBER'')')                 GDH0897
            GO TO 120                                                   GDH0897
         END IF                                                         GDH0897
         IF (LABEL.EQ.1) THEN                                           GDH0897
             ILIT=ILIT+1                                                GDH0897
         ELSE                                                           GDH0897
             IF (LABEL.NE.99) IHEV=IHEV+1                               GDH0897
         ENDIF                                                          GDH0897
         GO TO 70                                                       GDH0897
      END IF                                                            GDH0897
*  ATOMIC SYMBOL USED                                                   GDH0897
      REAL=READIF(STRING,1)                                             GDH0897
      IF (REAL.LT..005) THEN                                            GDH0897
*   NO ISOTOPE                                                          GDH0897
         ELE=STRING(1:2)                                                GDH0897
      ELSE                                                              GDH0897
         WEIGHT=REAL                                                    GDH0897
         IF( STRING(2:2) .GE. ZERO .AND. STRING(2:2) .LE. NINE) THEN    GDH0897
            ELE=STRING(1:1)                                             GDH0897
         ELSE                                                           GDH0897
            ELE=STRING(1:2)                                             GDH0897
         END IF                                                         GDH0897
      END IF                                                            GDH0897
*   CHECK FOR ERROR IN ATOMIC SYMBOL                                    GDH0897
      DO 60 I=1,107                                                     GDH0897
         IF(ELE.EQ.ELEMNT(I)) THEN                                      GDH0897
            LABEL=I                                                     GDH0897
            IF (LABEL.EQ.1) THEN                                        GDH0897
                ILIT=ILIT+1                                             GDH0897
            ELSE                                                        GDH0897
                IF (LABEL.NE.99) IHEV=IHEV+1                            GDH0897
            ENDIF                                                       GDH0897
            GO TO 70                                                    GDH0897
         END IF                                                         GDH0897
   60 CONTINUE                                                          GDH0897
      WRITE(JOUT,'(''  UNRECOGNIZED ELEMENT NAME: ('',A,'')'')')ELE     GDH0897
      GOTO 120                                                          GDH0897
*                                                                       GDH0897
* ALL O.K.                                                              GDH0897
*                                                                       GDH0897
   70 CONTINUE                                                          GDH0897
      IF (IAMSOL.EQ.1) THEN                                             GDH0897
      IF (LABEL.NE.99) THEN                                             GDH0897
         NUMAT=NUMAT+1                                                  GDH0897
         NAT(NUMAT)=LABEL                                               GDH0897
      ENDIF                                                             GDH0897
      LABELS(NATOMS)   =LABEL                                           GDH0897
      GEO(1,NATOMS)   =READIF(LINE,ISTART(2))                           GDH0897
      GEO(2,NATOMS)   =READIF(LINE,ISTART(4))                           GDH0897
      GEO(3,NATOMS)   =READIF(LINE,ISTART(6))                           GDH0897
      NA(NATOMS)      =READIF(LINE,ISTART(8))                           GDH0897
      NB(NATOMS)      =READIF(LINE,ISTART(9))                           GDH0897
      NC(NATOMS)      =READIF(LINE,ISTART(10))                          GDH0897
      ELSE                                                              GDH0897
      IF (LABEL.NE.99) THEN                                             GDH0897
      NUMAT=NUMAT+1                                                     GDH0897
      NAT(NUMAT)=LABEL                                                  GDH0897
      LABELS(NUMAT)=LABEL                                               GDH0897
      GEO(1,NUMAT)=READIF(LINE,ISTART(2))                               GDH0897
      GEO(2,NUMAT)=READIF(LINE,ISTART(3))                               GDH0897
      GEO(3,NUMAT)=READIF(LINE,ISTART(4))                               GDH0897
      ENDIF                                                             GDH0897
      ENDIF                                                             GDH0897
      INXT=8                                                            GDH0897
      GOTO 10                                                           GDH0897
*                                                                       GDH0897
* ALL DATA READ IN, CLEAN UP AND RETURN                                 GDH0897
*                                                                       GDH0897
   80 NATOMS=NATOMS-1                                                   GDH0897
      IF (NATOMS.GT.NUMATM) THEN                                        GDH0897
      WRITE(JOUT,'(''# OF ATOMS IS LARGER THAN NUMATM IS SIZES.i'')')   GDH0897
      ISTOP=1                                                           GDH0897
      IWHERE=82                                                         GDH0897
      RETURN                                                            GDH0897
      ENDIF                                                             GDH0897
   90 NA(2)=1                                                           GDH0897
      IF(NA(3).EQ.0) THEN                                               GDH0897
         NB(3)=1                                                        GDH0897
         NA(3)=2                                                        GDH0897
      ENDIF                                                             GDH0897
C CONVERT DATA INTO CARTESIAN COORDINATES                               GDH0897
C IF NECESSARY FOR OMNISOL INPUT STYLE                                  GDH0897
                                                                        GDH0897
      IF (IAMSOL.EQ.1) THEN                                             GDH0897
         ASOC=ACOS(-1.D0)/180.D0                                        GDH0897
C        CONVERT ANGLES TO RADIANS                                      GDH0897
         DO 55 I=1,NATOMS                                               GDH0897
         DO 55 J=2,3                                                    GDH0897
   55    GEO(J,I)=GEO(J,I)*ASOC                                         GDH0897
         CALL INTCAR(GEO,COORD)                                         GDH0897
         DO 103 I=1,3                                                   GDH0897
            NCNT=0                                                      GDH0897
            DO 103 J=1,NUMAT                                            GDH0897
               NCNT=NCNT+1                                              GDH0897
               DO WHILE (LABELS(NCNT).EQ.99.AND.NCNT.LT.NATOMS)         GDH0897
                  NCNT=NCNT+1                                           GDH0897
               ENDDO                                                    GDH0897
 103           GEO(I,J)=COORD(I,NCNT)                                   GDH0897
         NATOMS=NUMAT                                                   GDH0897
      ELSE                                                              GDH0897
         NATOMS=NUMAT                                                   GDH0897
      ENDIF                                                             GDH0897
      RETURN                                                            GDH0897
* ERROR CONDITIONS                                                      GDH0897
  110 IF(IREAD.EQ.JDAT) THEN                                            GDH0897
         WRITE(JOUT,'( '' ERROR DURING READ AT ATOM NUMBER '', I3 )')   GDH0897
     .              NATOMS                                              GDH0897
      ELSE                                                              GDH0897
         NATOMS=0                                                       GDH0897
         RETURN                                                         GDH0897
      ENDIF                                                             GDH0897
  120 J=NATOMS-1                                                        GDH0897
      WRITE(JOUT,'('' DATA CURRENTLY READ IN ARE '')')                  GDH0897
      DO 130 K=1,J                                                      GDH0897
  130 WRITE(JOUT,140) LABELS(K),(GEO(J,K),J=1,3)                        GDH0897
     .               ,NA(K),NB(K),NC(K)                                 GDH0897
  140 FORMAT(I4,2X,3(F10.5,2X,I2,2X),3(I2,1X))                          GDH0897
      ISTOP=1                                                           GDH0897
      IWHERE=81                                                         GDH0897
      RETURN                                                            GDH0897
      END                                                               GDH0897
