      SUBROUTINE OSM5SP                                                 GDH0897
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)                                GDH0897
         INCLUDE 'PARAMS.i'                                             GDH0897
         INCLUDE 'KEYS.i'                                               GDH0897
C***********************************************************************GDH0897
C                                                                       GDH0897
C    THIS SUBROUTINE CALCULATES OSM5 SURFACE TENSIONS FROM THE          GDH0897
C       INDEX OF REFRACTION (FIIOFR)                                    GDH0897
C       ALPHA (FIALPH)                                                  GDH0897
C       BETA (FIBETA)                                                   GDH0897
C       MACROSCOPIC SURFACE TENSION (FIGAMM)                            GDH0897
C                                                                       GDH0897
C       FIIOFR, FIALPH, FIBETA AND FIGAMM MUST BE INPUT BY THE USER     GDH0897
C       WITH THE KEYWORDS IOFR, ALPHA, BETA AND GAMMA RESPECTIVELY      GDH0897
C                                                                       GDH0897
C    AND THE ASSOCIATED SOLVENT PROPERTY DEPENDENCE PARAMETERS          GDH0897
C       SOLN, SOLA, SOLB, AND SOLG                                      GDH0897
C                                                                       GDH0897
C       SIGMA0 = SURFACE TENSIONS (SIGMA ZERO)                          GDH0897
C       HRFN4  = H-X SURFACE TENSIONS (SIGMA H-X)                       GDH0897
C       CRFNH4 = C-C BOND SURFACE TENSION                               GDH0897
C       CRFNH5 = C-C BOND SURFACE TENSION                               GDH0897
C       OCFNH5 = O-C BOND SURFACE TENSION                               GDH0897
C       OOFNH5 = O-O BOND SURFACE TENSION                               GDH0897
C       CNFNH5 = N-C BOND SURFACE TENSION                               GDH0897
C       ONFNH5 = O-N BOND SURFACE TENSION                               GDH0897
C       SSFNH5 = S-S BOND SURFACE TENSION                               GDH0897
C       CCSIGM = CS SURFACE TENSION                                     GDH0897
C                                                                       GDH0897
C    INITIAL VERSION BY BY DJG 0396                                     GDH0897
C                                                                       GDH0897
C***********************************************************************GDH0897
      COMMON /SPARCM/ SIGMA0(100),RKCDS(100)                            GDH0897
      COMMON /HEXSTM/ HRFN4(100),CRFNH4,CNRFN4,CORFN5,                  GDH0897
     X                CRFNH5,OORFN5,ONRFN4,SSRFN5,OPRFN5,               GDH0897
     1                FCRFN,CLCRFN,BRCRFN,CNSTC2,TNCSC3,TNCSC2,         GDH0897
     2                HOHST1,HNNST1, SPRFN5                             GDH0897
      COMMON /SOLVCM/ SLVRAD, SLVRD2, CSSIGM                            GDH0897
      COMMON /PROPCM/ SDEPT(10), SOLN,SOLA,SOLB,SOLG,SOLC,SOLH          GDH0897
      DIMENSION SDEPA(150), SDEPB(150), SDEPN(150)                      GDH0897
      DIMENSION HDEPA(150), HDEPB(150), HDEPN(150)                      GDH0897
      SOLN=FIIOFR                                                       GDH0897
      SOLA=FIALPH                                                       GDH0897
      SOLB=FIBETA                                                       GDH0897
      SOLG=FIGAMM                                                       GDH0897
      SOLC=FFACAR                                                       GDH0897
      SOLH=FFEHAL                                                       GDH0897
         CALL SCOPY(150,S50RNA,1,SDEPN,1)                               GDH0897
         CALL SCOPY(150,S50RAA,1,SDEPA,1)                               GDH0897
         CALL SCOPY(150,S50RBA,1,SDEPB,1)                               GDH0897
         CALL SCOPY(150,H50RNA,1,HDEPN,1)                               GDH0897
         CALL SCOPY(150,H50RAA,1,HDEPA,1)                               GDH0897
         CALL SCOPY(150,H50RBA,1,HDEPB,1)                               GDH0897
         CALL SCOPY(10,S50RTA,1,SDEPT,1)                                GDH0897
      DO 10 I=1,100                                                     GDH0897
C        PLAIN ATOM SURFACE TENSIONS                                    GDH0897
         SIGMA0(I)=SDEPN(I)*SOLN+SDEPA(I)*SOLA+SDEPB(I)*SOLB            GDH0897
         HRFN4(I) =HDEPN(I)*SOLN+HDEPA(I)*SOLA+HDEPB(I)*SOLB            GDH0897
10    CONTINUE                                                          GDH0897
C     C BONDED TO C(1)                                                  GDH0897
      CRFNH4=SDEPN(101)*SOLN+SDEPA(101)*SOLA+SDEPB(101)*SOLB            GDH0897
C     C BONDED TO C(2)                                                  GDH0897
      CRFNH5=SDEPN(102)*SOLN+SDEPA(102)*SOLA+SDEPB(102)*SOLB            GDH0897
C     O BONDED TO C                                                     GDH0897
      CORFN5=SDEPN(103)*SOLN+SDEPA(103)*SOLA+SDEPB(103)*SOLB            GDH0897
C     O BONDED TO O                                                     GDH0897
      OORFN5=SDEPN(104)*SOLN+SDEPA(104)*SOLA+SDEPB(104)*SOLB            GDH0897
C     N BONDED TO C(1)                                                  GDH0897
      CNRFN4=SDEPN(105)*SOLN+SDEPA(105)*SOLA+SDEPB(105)*SOLB            GDH0897
C     O BONDED TO N                                                     GDH0897
      ONRFN4=SDEPN(106)*SOLN+SDEPA(106)*SOLA+SDEPB(106)*SOLB            GDH0897
C     S BONDED TO S                                                     GDH0897
      SSRFN5=SDEPN(107)*SOLN+SDEPA(107)*SOLA+SDEPB(107)*SOLB            GDH0897
C     N BONDED TO C(2)                                                  GDH0897
      CNSTC2=SDEPN(110)*SOLN+SDEPA(110)*SOLA+SDEPB(110)*SOLB            GDH0897
C     C BONDED TO N(1)                                                  GDH0897
      TNCSC2=SDEPN(111)*SOLN+SDEPA(111)*SOLA+SDEPB(111)*SOLB            GDH0897
C     N BONDED TO C(2)                                                  GDH0897
      HNNST1=SDEPN(112)*SOLN+SDEPA(112)*SOLA+SDEPB(112)*SOLB            GDH0897
C     O BONDED TO H                                                     GDH0897
      HOHST1=SDEPN(113)*SOLN+SDEPA(113)*SOLA+SDEPB(113)*SOLB            GDH0897
C     Cl BONDED TO C                                                    GDH0897
      CLCRFN=SDEPN(114)*SOLN+SDEPA(114)*SOLA+SDEPB(114)*SOLB            GDH0897
C     Br BONDED TO C                                                    GDH0897
      BRCRFN=SDEPN(115)*SOLN+SDEPA(115)*SOLA+SDEPB(115)*SOLB            GDH0897
C                                                                       GDH0897
C         CSSIGM=SDEPN(108)*SOLN+SDEPG*SOLG                             GDH0897
C     OVAREA                                                            GDH0897
      CSSIGM=SDEPT(1)*SOLG+SDEPT(2)*SOLB*SOLB+SDEPT(3)*SOLC*SOLC        GDH0897
     .       +SDEPT(4)*SOLH*SOLH+SDEPT(5)*SOLN                          GDH0897
      RETURN                                                            GDH0897
      END                                                               GDH0897
