      SUBROUTINE PRAREA                                                 GDH0897
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)                               GDH0897
      INCLUDE 'KEYS.i'                                                  GDH0897
      INCLUDE 'SIZES.i'                                                 GDH0897
       INCLUDE 'FFILES.i'                                               GDH0897
C***********************************************************************GDH0897
C                                                                       GDH0897
C  THIS SUBROUTINE PRINTS OUT THE SASA IN HANDY FORM FOR SM4 AND LATER  GDH0897
C  SOLVATION MODELS.                                                    GDH0897
C                                                                       GDH0897
C  ATAR = ATOMIC SASA'S                                                 GDH0897
C  AREAEL = SASA SUMMED BY ELEMENT                                      GDH0897
C  NATTYP = KEEPS TRACK OF WHICH ELEMENTS HAVE SASA                     GDH0897
C  CSAREA = SASA ASSOCIATED WITH LARGE SOLVENT RADIUS                   GDH0897
C  HBONDO = BOND-ORDER-DEPENDENT SASA FOR H TO EACH ELEMENT             GDH0897
C                                                                       GDH0897
C***********************************************************************GDH0897
      COMMON /TRADCM/ IRAD                                              GDH0897
      COMMON /SURF  / SURFCT,SRFACT(NUMATM),ATAR(NUMATM),               GDH0897
     1                HEXLGS,ATLGAR,CSAREA(100)                         GDH0897
      COMMON /ELEMTS/ ELEMNT(107)                                       GDH0897
      COMMON /HBONDA/ HBONDO(100),CBONDO,COBND5,CNBNDO,CBOND5,          GDH0897
     .                OOBNDO,ONBNDO,SSBNDO,OPBNDO,CLCBND,BRCBND,        GDH0897
     .                FCBNDO,CNBOC2,TNCBC3,TNCBC2,HOHBND,HNNBND,        GDH0897
     .                SPBNDO                                            GDH0897
      COMMON /HEXSTM/ HRFN4(100),CRFNH4,CNRFN4,CORFN5,                  GDH0897
     X                CRFNH5,OORFN5,ONRFN4,SSRFN5,OPRFN5,               GDH0897
     1                FCRFN,CLCRFN,BRCRFN,CNSTC2,TNCSC3,TNCSC2,         GDH0897
     2                HOHST1,HNNST1, SPRFN5                             GDH0897
      COMMON /MLKSTI/ NUMAT,NAT(NUMATM)                                 GDH0897
      COMMON /SPARCM/ SIGMA0(100),RKCDS(100)                            GDH0897
      COMMON /PROPCM/ SDEPT(10), SOLN,SOLA,SOLB,SOLG,SOLC,SOLH          GDH0897
      DIMENSION AREAEL(100),NATTYP(100)                                 GDH0897
      LOGICAL WATSRP                                                    GDH0897
      CHARACTER ELEMNT*2                                                GDH0897
C                                                                       GDH0897
      WATSRP=CISOLV.EQ.'H2OSRP'                                         GDH0897
      SUB1=0.0D0                                                        GDH0897
      SUB1CS=0.0D0                                                      GDH0897
      SUB2=0.0D0                                                        GDH0897
      SUB3=0.0D0                                                        GDH0897
      SUB4=0.0D0                                                        GDH0897
      DO 100 M=1,100                                                    GDH0897
         AREAEL(M)=0.0D0                                                GDH0897
         NATTYP(M)=0                                                    GDH0897
100   CONTINUE                                                          GDH0897
      DO 125 M=1,NUMAT                                                  GDH0897
         AREAEL(NAT(M))=AREAEL(NAT(M))+ATAR(M)                          GDH0897
         NATTYP(NAT(M))=1                                               GDH0897
125   CONTINUE                                                          GDH0897
      WRITE(JOUT,500)                                                   GDH0897
      IF (IRAD.EQ.21) THEN                                              GDH0897
         WRITE(JOUT,1000)                                               GDH0897
         DO 150 M=1,100                                                 GDH0897
            IF (NATTYP(M).NE.0) THEN                                    GDH0897
               WRITE(JOUT,1010) ELEMNT(M),AREAEL(M),SIGMA0(M),          GDH0897
     .         AREAEL(M)*SIGMA0(M)/1000.D0, CSAREA(M)                   GDH0897
               SUB1=SUB1+AREAEL(M)*SIGMA0(M)/1000.D0                    GDH0897
               SUB1CS=SUB1CS+CSAREA(M)                                  GDH0897
            ENDIF                                                       GDH0897
150      CONTINUE                                                       GDH0897
         WRITE (JOUT,1065) SUB1                                         GDH0897
         WRITE (JOUT,1095)                                              GDH0897
         WRITE (JOUT,1100)"IOFR     ",SUB1CS*SOLN        ,SDEPT(5),     GDH0897
     .                     (SUB1CS*SOLN/1000.D0)*SDEPT(5)               GDH0897
         SUB4=SUB4+(SUB1CS*SOLN/1000.D0)*SDEPT(5)                       GDH0897
         WRITE (JOUT,1100)"GAMMA    ",SUB1CS*SOLG        ,SDEPT(1),     GDH0897
     .                     (SUB1CS*SOLG/1000.D0)*SDEPT(1)               GDH0897
         SUB4=SUB4+(SUB1CS*SOLG/1000.D0)*SDEPT(1)                       GDH0897
         WRITE (JOUT,1100)"BETA**2  ",SUB1CS*SOLB*SOLB        ,SDEPT(2),GDH0897
     .                     (SUB1CS*SOLB*SOLB/1000.D0)*SDEPT(2)          GDH0897
         SUB4=SUB4+(SUB1CS*SOLB*SOLB/1000.D0)*SDEPT(2)                  GDH0897
         WRITE (JOUT,1100)"FACARB**2",SUB1CS*SOLC*SOLC        ,SDEPT(3),GDH0897
     .                     (SUB1CS*SOLC*SOLC/1000.D0)*SDEPT(3)          GDH0897
         SUB4=SUB4+(SUB1CS*SOLC*SOLC/1000.D0)*SDEPT(3)                  GDH0897
         WRITE (JOUT,1100)"FEHALO**2",SUB1CS*SOLH*SOLH        ,SDEPT(4),GDH0897
     .                     (SUB1CS*SOLH*SOLH/1000.D0)*SDEPT(4)          GDH0897
         SUB4=SUB4+(SUB1CS*SOLH*SOLH/1000.D0)*SDEPT(4)                  GDH0897
         WRITE (JOUT,1067) SUB4                                         GDH0897
      ELSE IF (IRAD.EQ.20) THEN                                         GDH0897
         WRITE(JOUT,1020)                                               GDH0897
         DO 175 M=1,100                                                 GDH0897
            IF (NATTYP(M).NE.0) THEN                                    GDH0897
               WRITE(JOUT,1030) ELEMNT(M),AREAEL(M),SIGMA0(M),          GDH0897
     .         AREAEL(M)*SIGMA0(M)/1000.D0                              GDH0897
               SUB1=SUB1+AREAEL(M)*SIGMA0(M)/1000.D0                    GDH0897
            ENDIF                                                       GDH0897
175      CONTINUE                                                       GDH0897
         WRITE (JOUT,1065) SUB1                                         GDH0897
      ENDIF                                                             GDH0897
      WRITE(JOUT,1070)                                                  GDH0897
         WRITE(JOUT,1040)                                               GDH0897
         DO 225 M=1,100                                                 GDH0897
            IF (NATTYP(M).NE.0) THEN                                    GDH0897
               WRITE(JOUT,1050) ELEMNT(M),HBONDO(M),HRFN4(M),           GDH0897
     .         HBONDO(M)*HRFN4(M)/1000.D0                               GDH0897
               SUB2=SUB2+HBONDO(M)*HRFN4(M)/1000.D0                     GDH0897
            ENDIF                                                       GDH0897
225      CONTINUE                                                       GDH0897
         WRITE (JOUT,1065) SUB2                                         GDH0897
         WRITE(JOUT,1080)                                               GDH0897
         WRITE(JOUT,1090)"H ","N2",HNNBND,HNNST1,HNNBND*HNNST1/1000.D0  GDH0897
         SUB3=SUB3+HNNBND*HNNST1/1000.D0                                GDH0897
         WRITE(JOUT,1090)"H ","02",HOHBND,HOHST1,HOHBND*HOHST1/1000.D0  GDH0897
         SUB3=SUB3+HOHBND*HOHST1/1000.D0                                GDH0897
         WRITE(JOUT,1090)"C ","C1",CBONDO,CRFNH4,CBONDO*CRFNH4/1000.D0  GDH0897
         SUB3=SUB3+CBONDO*CRFNH4/1000.D0                                GDH0897
         WRITE(JOUT,1090)"C ","C2",CBOND5,CRFNH5,CBOND5*CRFNH5/1000.D0  GDH0897
         SUB3=SUB3+CBOND5*CRFNH5/1000.D0                                GDH0897
         WRITE(JOUT,1090)"O ","C ",COBND5,CORFN5,COBND5*CORFN5/1000.D0  GDH0897
         SUB3=SUB3+COBND5*CORFN5/1000.D0                                GDH0897
         WRITE(JOUT,1090)"O ","O ",OOBNDO,OORFN5,OOBNDO*OORFN5/1000.D0  GDH0897
         SUB3=SUB3+OOBNDO*OORFN5/1000.D0                                GDH0897
         WRITE(JOUT,1090)"C ","N ",CNBOC2,CNSTC2,CNBOC2*CNSTC2/1000.D0  GDH0897
         SUB3=SUB3+CNBOC2*CNSTC2/1000.D0                                GDH0897
         WRITE(JOUT,1090)"N ","C ",CNBNDO,CNRFN4,CNBNDO*CNRFN4/1000.D0  GDH0897
         SUB3=SUB3+CNBNDO*CNRFN4/1000.D0                                GDH0897
         WRITE(JOUT,1090)"N ","C2",TNCBC2,TNCSC2,TNCBC2*TNCSC2/1000.D0  GDH0897
         SUB3=SUB3+TNCBC2*TNCSC2/1000.D0                                GDH0897
C         WRITE(JOUT,1090)"N ","C3",TNCBC3,TNCSC3,TNCBC3*TNCSC3/1000.D0  GDH0897
C         SUB3=SUB3+TNCBC3*TNCSC3/1000.D0                                GDH0897
         WRITE(JOUT,1090)"O ","N ",ONBNDO,ONRFN4,ONBNDO*ONRFN4/1000.D0  GDH0897
         SUB3=SUB3+ONBNDO*ONRFN4/1000.D0                                GDH0897
         WRITE(JOUT,1090)"S ","S ",SSBNDO,SSRFN5,SSBNDO*SSRFN5/1000.D0  GDH0897
         SUB3=SUB3+SSBNDO*SSRFN5/1000.D0                                GDH0897
C         WRITE(JOUT,1090)"O ","P ",OPBNDO,OPRFN5,OPBNDO*OPRFN5/1000.D0  GDH0897
C         SUB3=SUB3+OPBNDO*OPRFN5/1000.D0                                GDH0897
C         WRITE(JOUT,1090)"S ","P ",SPBNDO,SPRFN5,SPBNDO*SPRFN5/1000.D0  GDH0897
C         SUB3=SUB3+SPBNDO*SPRFN5/1000.D0                                GDH0897
         WRITE(JOUT,1090)"Cl","C ",CLCBND,CLCRFN,CLCBND*CLCRFN/1000.D0  GDH0897
         SUB3=SUB3+CLCBND*CLCRFN/1000.D0                                GDH0897
         WRITE(JOUT,1090)"Br","C ",BRCBND,BRCRFN,BRCBND*BRCRFN/1000.D0  GDH0897
         SUB3=SUB3+BRCBND*BRCRFN/1000.D0                                GDH0897
         WRITE(JOUT,1065) SUB3                                          GDH0897
         WRITE(JOUT,1066) SUB4+SUB3+SUB2+SUB1                           GDH0897
500   FORMAT(/,5X,'The following section contains information on the',  GDH0897
     .       ' SM5.0R calculation.')                                    GDH0897
1000  FORMAT(/,1X,'Total solvent accessible surface area by element',/, GDH0897
     1/,2X,'Element   CD Area       Sigma           Total    CS Area',  GDH0897
     1/,2X,'   k                      k                           ',    GDH0897
     1/,2X,'          (Ang**2)    cal/(Ang**2)      (kcal)   (Ang**2)'  GDH0897
     1,/)                                                               GDH0897
1010  FORMAT(5X,A2,4X,F8.3,5X,F8.3,7X,F8.3,3X,F8.3)                     GDH0897
1020  FORMAT(/,1X,'Total solvent accessible surface area by element',/, GDH0897
     1/,2X,'Element  CDS Area       Sigma           Total    ',         GDH0897
     1/,2X,'   k                      k                           ',    GDH0897
     1/,2X,'         (Ang**2)     cal/(Ang**2)      (kcal)  ',/)        GDH0897
1030  FORMAT(5X,A2,4X,F8.3,5X,F8.3,7X,F8.3)                             GDH0897
1040  FORMAT(/,1X,'Total bond-order-dependant area of hydrogen',/,      GDH0897
     1/,2X,'Element  COT*Area(k)    Sigma           Total    ',         GDH0897
     1/,2X,"  k=H                    k k'                         ",    GDH0897
     1/,2X,"   k'     (Ang**2)    cal/(Ang**2)      (kcal)    ",/)      GDH0897
1050  FORMAT(5X,A2,4X,F8.3,5X,F8.3,7X,F8.3)                             GDH0897
1065  FORMAT(/,1X,'Subtotal:',29X,F8.3)                                 GDH0897
1066  FORMAT(/,1X,'CDS Total:',28X,F8.3)                                GDH0897
1067  FORMAT(/,1X,'Subtotal:',36X,F8.3)                                 GDH0897
1070  FORMAT(/,1X,'Double-subscript sigma contributions')               GDH0897
1080  FORMAT(/,                                                         GDH0897
     1/,2X,'Element  COT*Area(k)    Sigma           Total    ',         GDH0897
     1/,2X,"k  k'                    k k'                         ",    GDH0897
     1/,2X,"          (Ang**2)     cal/(Ang**2)     (kcal)    ",/)      GDH0897
1090  FORMAT(2X,A2,1X,A2,4X,F8.3,5x,F8.3,7X,F8.3)                       GDH0897
1095  FORMAT(/,                                                         GDH0897
     1/,'   Solvent       SD *          Sigma       CS Contribution ',  GDH0897
     1/,"  Descriptor    CS Area         CS                         ",  GDH0897
     1/,"               (Ang**2)     cal/(Ang**2)        (kcal) ",/)    GDH0897
1100  FORMAT(2X,A9,2X,F10.3,5x,F8.3,10X,F8.3)                           GDH0897
      RETURN                                                            GDH0897
      END                                                               GDH0897
