      SUBROUTINE READS                                                  GDH0897
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)                               GDH0897
      INCLUDE 'SIZES.i'                                                 GDH0897
      INCLUDE 'PARAMS.i'                                                GDH0897
      INCLUDE 'KEYS.i'                                                  GDH0897
      INCLUDE 'FFILES.i'                                                GDH0897
      CHARACTER*80 CDAT,KEY3                                            GDH0897
      CHARACTER*80 LINE,BLANK                                           GDH0897
      CHARACTER SPACE*1,SPACE2*2,CH*1,CH2*2,MODEL*7                     GDH0897
      CHARACTER SOLVNT*6, CCHEK*1                                       GDH0897
      LOGICAL INTR                                                      GDH0897
      LOGICAL FIRST                                                     GDH0897
      DIMENSION COORD(3,NUMATM)                                         GDH0897
C --------------------------------------------------------------------  GDH0897
C MODULE TO READ IN GEOMETRY FILE, OUTPUT IT TO THE USER,               GDH0897
C AND CHECK THE DATA TO SEE IF IT IS REASONABLE. EXIT IF NECESSARY.     GDH0897
C  ON EXIT NATOMS    = NUMBER OF ATOMS PLUS DUMMY ATOMS (IF ANY).       GDH0897
C          LABELS    = ARRAY OF ATOMIC LABELS INCLUDING DUMMY ATOMS.    GDH0897
C          GEO       = ARRAY OF INTERNAL COORDINATES.                   GDH0897
C          NA        = ARRAY OF LABELS OF ATOMS, BOND LENGTHS.          GDH0897
C          NB        = ARRAY OF LABELS OF ATOMS, BOND ANGLES.           GDH0897
C          NC        = ARRAY OF LABELS OF ATOMS, DIHEDRAL ANGLES.       GDH0897
C                                                                       GDH0897
C ----------------------------------------------------------------------GDH0897
C *** INPUT THE TRIAL GEOMETRY  \IE.  KGEOM=0\                          GDH0897
C   LABEL(I) = THE ATOMIC NUMBER OF ATOM\I\.                            GDH0897
C            = 99, THEN THE I-TH ATOM IS A DUMMY ATOM USED ONLY TO      GDH0897
C              SIMPLIFY THE DEFINITION OF THE MOLECULAR GEOMETRY.       GDH0897
C ----------------------------------------------------------------------GDH0897
C                                                                       GDH0897
      COMMON /GEOM  / GEO(3,NUMATM)                                     GDH0897
      COMMON /GEOKST/ NATOMS,LABELS(NUMATM)                             GDH0897
     6               ,NA(NUMATM),NB(NUMATM),NC(NUMATM)                  GDH0897
      COMMON /SURF  / SURFCT,SRFACT(NUMATM),ATAR(NUMATM),               GDH0897
     1                HEXLGS,ATLGAR,CSAREA(100)                         GDH0897
      COMMON /DATECM/ CDAT                                              GDH0897
      COMMON /TRADCM/ IRAD                                              GDH0897
      COMMON /SOLVCM/ SLVRAD, SLVRD2, CSSIGM                            GDH0897
      COMMON /MLKSTI/ NUMAT,NAT(NUMATM)                                 GDH0897
      DATA SPACE, SPACE2/' ','  '/                                      GDH0897
      DATA BLANK/'                                                      GDH0897
     1                          '/                                      GDH0897
      DATA FIRST /.TRUE./                                               GDH0897
      SAVE                                                              GDH0897
C                                                                       GDH0897
C        READ IN KEYWORDS AND SET KEYWORD FLAGS                         GDH0897
C                                                                       GDH0897
         CALL KEYFLG                                                    GDH0897
      IF (ISTOP.NE.0) RETURN                                            GDH0897
C                                                                       GDH0897
C        CHECK FOR KEYWORD INCOMPATIBILITIES                            GDH0897
C                                                                       GDH0897
         CALL KWNONO                                                    GDH0897
C                                                                       GDH0897
      IF (ISTOP.NE.0) RETURN                                            GDH0897
      NOPTI=1                                                           GDH0897
      IRAD=-1                                                           GDH0897
      NGEOM=0                                                           GDH0897
      NSOLPR=0                                                          GDH0897
      NSCFS=0                                                           GDH0897
      JPCNT=0                                                           GDH0897
      PCMIN=1000                                                        GDH0897
      NINTEG=1                                                          GDH0897
C     IRAD=20  AQUEOUS SM5.0R                                           GDH0897
C     IRAD=21  ORGANIC SM5.0R                                           GDH0897
         IF(CISOLV.EQ.'WATER')THEN                                      GDH0897
            NUMSLV=19                                                   GDH0897
            IRAD=20                                                     GDH0897
         ELSE IF(CISOLV(1:6).EQ.'GENORG') THEN                          GDH0897
            NUMSLV=20                                                   GDH0897
            IRAD=21                                                     GDH0897
         ELSE                                                           GDH0897
           WRITE(JOUT,5420) CISOLV                                      GDH0897
           ISTOP=1                                                      GDH0897
           IWHERE=51                                                    GDH0897
           RETURN                                                       GDH0897
         ENDIF                                                          GDH0897
      IF (NUMSLV.NE.-1) THEN                                            GDH0897
         SLVRAD=0.0D0                                                   GDH0897
         SLVRD2=0.0D0                                                   GDH0897
      ENDIF                                                             GDH0897
5420  FORMAT(/,'WARNING: SOLVENT NAME UNRECOGNIZED FOR THIS MODEL "',   GDH0897
     1          a6,'".')                                                GDH0897
      CALL GETGEO(JDAT)                                                 GDH0897
      IF (ISTOP.NE.0) RETURN                                            GDH0897
      CALL TPCHK(NATOMS,LABELS)                                         GDH0897
C                                                                       GDH0897
C OUTPUT FILE TO UNIT JOUT                                              GDH0897
C    WRITE HEADER                                                       GDH0897
C                                                                       GDH0897
       CALL DATESV(JOUT)                                                GDH0897
       WRITE (JOUT,'(A80)') CDAT                                        GDH0897
       WRITE(JOUT,'(/)')                                                GDH0897
       CALL ECHOWD(JOUT)                                                GDH0897
       CALL HEADER(JOUT)                                                GDH0897
       WRITE(JOUT,'(/,1X,79(''*''))')                                   GDH0897
C                                                                       GDH0897
C CHECK DATA                                                            GDH0897
C                                                                       GDH0897
      DO 40 I=1,NUMAT                                                   GDH0897
      IF (LABELS(I).LE.0) THEN                                          GDH0897
         WRITE(JOUT,'('' ATOMIC NUMBER OF '',I3,'' ?'')') LABELS(I)     GDH0897
         ISTOP=1                                                        GDH0897
         IWHERE=57                                                      GDH0897
         RETURN                                                         GDH0897
      ENDIF                                                             GDH0897
   40 CONTINUE                                                          GDH0897
C                                                                       GDH0897
C WRITE KEYWORDS BACK TO USER AS FEEDBACK                               GDH0897
C                                                                       GDH0897
      CALL WRTKEY                                                       GDH0897
5005  CONTINUE                                                          GDH0897
C                                                                       GDH0897
C                                                                       GDH0897
C OUTPUT GEOMETRY AS FEEDBACK                                           GDH0897
C                                                                       GDH0897
      IF (ISTOP.NE.0) RETURN                                            GDH0897
230   RETURN                                                            GDH0897
      END                                                               GDH0897
