      SUBROUTINE SASADO (COORD,NITER)                                   GDH0897
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)                                GDH0897
      INCLUDE 'SIZES.i'                                                 GDH0897
      INCLUDE 'KEYS.i'                                                  GDH0897
C ---------------------------------------------------------------------+GDH0897
C     CALCULATE THE SOLVENT-ACCESSIBLE SURFACE AREA FOR G-CDS           GDH0897
C ON INPUT                                                              GDH0897
C ON OUTPUT                                                             GDH0897
C     ATAR   = SASA ASSOCIATED WITH SMALL SOLVENT RADIUS BY ATOM        GDH0897
C     ATLGAR = TOTAL SASA ASSOCIATED WITH LARGE SOLVENT RADIUS          GDH0897
C     CSAREA = SASA (LARGE RADIUS) BY ELEMENT                           GDH0897
C                                                                       GDH0897
C ---------------------------------------------------------------------+GDH0897
      COMMON /ARACOM/ R(NPACK),                                         GDH0897
     2                RAS(NUMATM),RALG(NUMATM)                          GDH0897
      COMMON /TRADCM/ IRAD                                              GDH0897
      COMMON /MLKSTI/ NUMAT,NAT(NUMATM)                                 GDH0897
      COMMON /SURF  / SURFCT,SRFACT(NUMATM),ATAR(NUMATM),               GDH0897
     1                HEXLGS,ATLGAR,CSAREA(100)                         GDH0897
      DIMENSION COORD(3,*)                                              GDH0897
      DATA ZERO /0.0D0/                                                 GDH0897
      DO 30 IAT=1,NUMAT                                                 GDH0897
         RAS2=RAS(IAT)**2                                               GDH0897
               ATAR(IAT)=RAS2*AREAL(COORD,RAS,NUMAT,IAT)                GDH0897
   30 CONTINUE                                                          GDH0897
      IF (IRAD.EQ.21) THEN                                              GDH0897
         CALL SCOPY (100,ZERO,0,CSAREA,1)                               GDH0897
         ATLGAR=0.0D0                                                   GDH0897
         DO 50 I=1,NUMAT                                                GDH0897
            RALG2=RALG(I)**2                                            GDH0897
               ATLG=RALG2*AREAL(COORD,RALG,NUMAT,I)                     GDH0897
            ATLGAR=ATLGAR+ATLG                                          GDH0897
            CSAREA(NAT(I))=CSAREA(NAT(I))+ATLG                          GDH0897
   50    CONTINUE                                                       GDH0897
      ENDIF                                                             GDH0897
      END                                                               GDH0897
