      SUBROUTINE SCOPY(N,DX,INCX,DY,INCY)                               GDH0897
C                                                                       GDH0897
C     COPIES A VECTOR, X, TO A VECTOR, Y.                               GDH0897
C     USES UNROLLED LOOPS FOR INCREMENTS EQUAL TO ONE.                  GDH0897
C     JACK DONGARRA, LINPACK, 3/11/78.                                  GDH0897
C                                                                       GDH0897
C     LINPACK ROUTINE DCOPY CONVERTED TO SCOPY BY GCL 03/25/92          GDH0897
C                                                                       GDH0897
      IMPLICIT DOUBLE PRECISION (A-H, O-Z)                              GDH0897
      DIMENSION DX(1),DY(1)                                             GDH0897
C     DOUBLE PRECISION DX(1),DY(1)                                      GDH0897
      INTEGER I,INCX,INCY,IX,IY,M,MP1,N                                 GDH0897
C                                                                       GDH0897
      IF(N.LE.0)RETURN                                                  GDH0897
      IF(INCX.EQ.1.AND.INCY.EQ.1)GO TO 20                               GDH0897
C                                                                       GDH0897
C        CODE FOR UNEQUAL INCREMENTS OR EQUAL INCREMENTS                GDH0897
C          NOT EQUAL TO 1                                               GDH0897
C                                                                       GDH0897
      IX = 1                                                            GDH0897
      IY = 1                                                            GDH0897
      IF(INCX.LT.0)IX = (-N+1)*INCX + 1                                 GDH0897
      IF(INCY.LT.0)IY = (-N+1)*INCY + 1                                 GDH0897
      DO 10 I = 1,N                                                     GDH0897
        DY(IY) = DX(IX)                                                 GDH0897
        IX = IX + INCX                                                  GDH0897
        IY = IY + INCY                                                  GDH0897
   10 CONTINUE                                                          GDH0897
      RETURN                                                            GDH0897
C                                                                       GDH0897
C        CODE FOR BOTH INCREMENTS EQUAL TO 1                            GDH0897
C                                                                       GDH0897
C                                                                       GDH0897
C        CLEAN-UP LOOP                                                  GDH0897
C                                                                       GDH0897
   20 M = MOD(N,7)                                                      GDH0897
      IF( M .EQ. 0 ) GO TO 40                                           GDH0897
      DO 30 I = 1,M                                                     GDH0897
        DY(I) = DX(I)                                                   GDH0897
   30 CONTINUE                                                          GDH0897
      IF( N .LT. 7 ) RETURN                                             GDH0897
   40 MP1 = M + 1                                                       GDH0897
      DO 50 I = MP1,N,7                                                 GDH0897
        DY(I) = DX(I)                                                   GDH0897
        DY(I + 1) = DX(I + 1)                                           GDH0897
        DY(I + 2) = DX(I + 2)                                           GDH0897
        DY(I + 3) = DX(I + 3)                                           GDH0897
        DY(I + 4) = DX(I + 4)                                           GDH0897
        DY(I + 5) = DX(I + 5)                                           GDH0897
        DY(I + 6) = DX(I + 6)                                           GDH0897
   50 CONTINUE                                                          GDH0897
      RETURN                                                            GDH0897
      END                                                               GDH0897
