      SUBROUTINE VECPRT (A,NUMB)                                        GDH0897
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)                               GDH0897
       INCLUDE 'SIZES.i'                                                GDH0897
       INCLUDE 'FFILES.i'                                               GDH0897
      DIMENSION  A(*)                                                   GDH0897
      COMMON /MLKSTI/ NUMAT,NAT(NUMATM)                                 GDH0897
      COMMON /ELEMTS/ ELEMNT(107)                                       GDH0897
C********************************************************************** GDH0897
C                                                                       GDH0897
C  VECPRT PRINTS A LOWER-HALF TRIANGLE OF A SQUARE MATRIX, THE          GDH0897
C         LOWER-HALF TRIANGLE BEING STORED IN PACKED FORM IN THE        GDH0897
C         ARRAY "A"                                                     GDH0897
C                                                                       GDH0897
C ON INPUT:                                                             GDH0897
C      A      = ARRAY TO BE PRINTED                                     GDH0897
C      NUMB   = SIZE OF ARRAY TO BE PRINTED                             GDH0897
C(REF) NUMAT  = NUMBER OF ATOMS IN THE MOLECULE (THIS IS NEEDED TO      GDH0897
C               DECIDE IF AN ATOMIC ARRAY OR ATOMIC ORBITAL ARRAY IS    GDH0897
C               TO BE PRINTED                                           GDH0897
C(REF) NAT    = LIST OF ATOMIC NUMBERS                                  GDH0897
C                                                                       GDH0897
C  NONE OF THE ARGUMENTS ARE ALTERED BY THE CALL OF VECPRT              GDH0897
C                                                                       GDH0897
C*********************************************************************  GDH0897
      DIMENSION NATOM(200)                                              GDH0897
      CHARACTER * 6 LINE(21)                                            GDH0897
      CHARACTER*2 ELEMNT, ITEXT(200),JTEXT(200)                         GDH0897
      SAVE                                                              GDH0897
C                                                                       GDH0897
C    PRINT OVER ATOM COUNT                                              GDH0897
C                                                                       GDH0897
         DO 10 I=1,NUMAT                                                GDH0897
            ITEXT(I)='  '                                               GDH0897
            JTEXT(I)=ELEMNT(NAT(I))                                     GDH0897
            NATOM(I)=I                                                  GDH0897
   10    CONTINUE                                                       GDH0897
      NUMB=ABS(NUMB)                                                    GDH0897
      DO 50 I=1,21                                                      GDH0897
   50 LINE(I)='------'                                                  GDH0897
      LIMIT=(NUMB*(NUMB+1))/2                                           GDH0897
      KK=8                                                              GDH0897
      NA=1                                                              GDH0897
   60 LL=0                                                              GDH0897
      M=MIN((NUMB+1-NA),6)                                              GDH0897
      MA=2*M+1                                                          GDH0897
      M=NA+M-1                                                          GDH0897
      WRITE(JOUT,100)(ITEXT(I),JTEXT(I),NATOM(I),I=NA,M)                GDH0897
      WRITE (JOUT,110) (LINE(K),K=1,MA)                                 GDH0897
      DO 80 I=NA,NUMB                                                   GDH0897
         LL=LL+1                                                        GDH0897
         K=(I*(I-1))/2                                                  GDH0897
         L=MIN((K+M),(K+I))                                             GDH0897
         K=K+NA                                                         GDH0897
         IF ((KK+LL).LE.50) GOTO 70                                     GDH0897
         WRITE (JOUT,120)                                               GDH0897
         WRITE (JOUT,100) (ITEXT(N),JTEXT(N),NATOM(N),N=NA,M)           GDH0897
         WRITE (JOUT,110) (LINE(N),N=1,MA)                              GDH0897
         KK=4                                                           GDH0897
         LL=0                                                           GDH0897
   70    WRITE (JOUT,130) ITEXT(I),JTEXT(I),NATOM(I),(A(N),N=K,L)       GDH0897
   80 CONTINUE                                                          GDH0897
      IF (L.GE.LIMIT) RETURN                                            GDH0897
      KK=KK+LL+4                                                        GDH0897
      NA=M+1                                                            GDH0897
      IF ((KK+NUMB+1-NA).LE.50) GOTO 60                                 GDH0897
      KK=4                                                              GDH0897
      WRITE (JOUT,120)                                                  GDH0897
      GOTO 60                                                           GDH0897
C                                                                       GDH0897
  100 FORMAT (/,10X,10(2X,A2,1X,A2,I3,1X))                              GDH0897
  110 FORMAT (1X,21A6)                                                  GDH0897
  120 FORMAT (/,1X)                                                     GDH0897
  130 FORMAT (1X,A2,1X,A2,I3,10F11.5)                                   GDH0897
C                                                                       GDH0897
      END                                                               GDH0897
