#!/bin/csh
#This script runs OMNISOL in interactive mode       
#Usage:  omnisol.c tr1
#This script reads tr1.dat and produces tr1.arc, tr1.out, and other files
# The following assignments need to be made by the user ################
# NOTE: ONLY RELATIVE PATHNAMES (TO THE DIRECTORY FROM WHICH THE omnisoli.c 
# SCRIPT WILL BE RUN) MAY BE USED IN THE NEXT STATEMENTS
 set omnisolexe = ../omnisol1.1.exe
# set working directory to directory for tr1.dat and output tr1 files:
# set workd = /workingdirectory
# or set working directory to current working directory and submit script
#    so that current working directory contains tr1.dat:
 set workd = `pwd`
# end of assignment section #############################################
#
        if ($#argv >= 1) then
                set input = $argv[1]
                goto checkinput
        endif
#
 inputfile:
        echo -n 'Input file : '
        set input = $<
        if ($input == '') goto inputfile
#
 checkinput:
        switch ($input)
                case *.dat
        echo ' Please use filename without extension e.g.( test not test.dat)'
                goto inputfile
        breaksw
        endsw
        if (!(-e $input'.dat')) then
                echo 'The file' $input'.dat does not exist '
                goto inputfile
        endif
#
        if ($#argv >= 2) then
                set time = $argv[2]
                goto priook
        endif
priook:
#
        set outfile = ${workd}/${input}.com
        echo '#! /bin/csh -f ' > $outfile
        echo '#' >> $outfile
# The following line echos com file to standard error (your window):
        echo 'set echo' >> $outfile
        echo 'cd '${workd} >> $outfile
        echo 'alias omnisol '${workd}/$omnisolexe >> $outfile
        echo 'mkdir '${workd}/${input} >> $outfile
        echo 'cd '${workd}/${input} >> $outfile
        echo 'omnisol < '${workd}/$input'.dat > '${workd}/$input'.out' >> $outfile
        echo 'rm *' >> $outfile
        echo 'cd '${workd} >> $outfile
        echo 'rmdir '${input} >> $outfile
#
        chmod 750 ${workd}/${input}.com
        ${workd}/${input}.com

